#include <stdio.h>
#include <stdlib.h>


int main(){
	FILE *readfp;

	readfp = fopen("names.txt", "r");

	if (readfp == NULL) {
        fprintf(stderr, "Cannot open file for reading.\n");
        exit(1);
    }

    char name[1000];

    
    printf("Reading names from a file using fscanf...\n");
    while (fscanf(readfp, "%s", name) != EOF) {
        printf("%s\n", name);
    }
    printf("\n");
	

    
    printf("Reading names from a file using fgets...\n");
    while(fgets(name, 1000, readfp) != NULL ) 
    {
    	fputs(name, stdout);
    }
    printf("\n");
    

    fclose(readfp);

	return 0;
}
