#include <stdio.h>
#include <stdlib.h>

void print_array(int integers[], int len)
{
    for (int i = 0; i < len; i++) {
        printf("| %d ", integers[i]);
    }
    printf("|\n");
}

int main(){
	FILE *readfp;

	readfp = fopen("numbers.txt", "r");

	if (readfp == NULL) {
        fprintf(stderr, "Cannot open file for reading.\n");
        exit(1);
    }

    int numbers_array[1000] = {0};
    int size = 0;

    printf("Reading integers from a file to an array...\n");
    while (fscanf(readfp, "%d", &numbers_array[size]) != EOF) {
        size++;
    }
    printf("\n");

    printf("ARRAY: ");
    print_array(numbers_array, size);
    printf("\n");

    fclose(readfp);
	return 0;
}